API ReferenceRecipients
Get recipient fields
This API call allows a client to get all recipient fields (not just bank fields) for a country/currency/business-type combination.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
countryCode*string
Country code
ccyCode*string
Currency code
Query Parameters
isBusiness?boolean
Whether the recipient is a business. Defaults to false.
Default
falseaddressCountryCode?string
Country code of recipient's address
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/recipients/fields/country/string/currency/string"[ { "expectedValues": [ { "id": "CHECKING", "value": "Checking" } ], "fieldGroupName": "bank.account", "fieldName": "bic", "label": "BIC/SWIFT Code", "maximumLength": 0, "minimumLength": 0, "pattern": "[0-9]6", "required": true }]{ "code": 0, "failureDateTime": "2019-08-24T14:15:22Z", "longErrorMsg": "string", "shortErrorMsg": "string", "traceErrorId": "string", "typeOfFailure": "MODEL_VALIDATION"}Empty
Empty